<template>
  <div class="s-button text-center">
    <t-button theme="primary" @click="submitHandle">{{
      confirmText || '确定'
    }}</t-button>
    <t-button theme="default" class="m-l-20px" @click="cancel">{{
      cancelText || '取消'
    }}</t-button>
  </div>
</template>

<script setup name="SButton">
const { confirmText, cancelText } = defineProps(['confirmText', 'cancelText']);
const emit = defineEmits(['confirm', 'cancel']);
const submitHandle = () => {
  emit('confirm');
};
const cancel = () => {
  emit('cancel');
};
</script>

<style></style>
